package de.ship.nextcloud.modules;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 
 * @author henkej
 * 
 */
@Controller
public class Check {

	@GetMapping("/")
	public String getRoot() {
		return "redirect:/index";
	}
	
	@GetMapping("/index")
	public String getIndex() {
		return "/index";
	}
	
	@GetMapping("/inside")
	public String getMapping(Model model) {
		model.addAttribute("authenticated", "Die nextcloud-Authentifizierung hat funktioniert.");
		return "/inside";
	}
}
